For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • POSTEnroll an employee in a 401k plan
      • GETGet enrollment settings from an employee in a 401k plan
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsEnrollments

Get enrollment settings from an employee in a 401k plan

GET
/benefits/legal-entities/:legal_entity_id/contracts/:contract_id/plans/:plan_id
GET
/rest/v2/benefits/legal-entities/:legal_entity_id/contracts/:contract_id/plans/:plan_id
$curl https://api.letsdeel.com/rest/v2/benefits/legal-entities/5f4e1d1b-4b7b-4b7b-8b7b-4b7b4b7b4b7b/contracts/5f4e1d1b-4b7b-4b7b-8b7b-4b7b4b7b4b7b/plans/5f4e1d1b-4b7b-4b7b-8b7b-4b7b4b7b4b7b \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "5f4e1d1b-4b7b-4b7b-8b7b-4b7b4b7b4b7b",
5 "type": "ROTH",
6 "details": {
7 "key": "value"
8 },
9 "contribution_type": "PERCENTAGE",
10 "contribution_limit": 100,
11 "contribution_value": "10.00"
12 }
13 ]
14}

Returns the current enrollment settings for an employee, within a specific 401k plan. Token scopes: benefits:read

Was this page helpful?
Previous

Get amendment data points configuration by country

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

legal_entity_idstringRequired

Legal entity id which employee/contract belongs

contract_idstringRequired
Contract id from the employee
plan_idstringRequired
Plan id to enroll the employee into

Response

Successful operation.
datalist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication